#!/bin/bash

run_directory=$(dirname "$0")

if [ -z "$1" ]; then
  user=$(whoami)
  if [[ $user != 'root' ]]; then
    echo "Copying rcs to home directory..."
    cp $run_directory/bashrc /home/$user/.bashrc
    cp $run_directory/vimrc /home/$user/.vimrc
    cp $run_directory/tmux.conf /home/$user/.tmux.conf
    if ! command -v sudo &> /dev/null; then
      echo "Could not copy to root directory: sudo was not found."
    else
      echo "Copying rcs to root directory..."
      sudo cp $run_directory/bashrc /root/.bashrc
      sudo cp $run_directory/vimrc /root/.vimrc
      sudo cp $run_directory/tmux.conf /root/.tmux.conf
    fi
  else
    echo "Copying rcs to root directory..."
    cp $run_directory/bashrc /root/.bashrc
    cp $run_directory/vimrc /root/.vimrc
    cp $run_directory/tmux.conf /root/.tmux.conf
  fi

else # running from a setup script, assuming as root
  user=$1
  echo "Copying rcs to home directory..."
  sudo -H -u $user cp $run_directory/bashrc /home/$user/.bashrc
  sudo -H -u $user cp $run_directory/vimrc /home/$user/.vimrc
  sudo -H -u $user cp $run_directory/tmux.conf /home/$user/.tmux.conf
  echo "Copying rcs to root directory..."
  cp $run_directory/bashrc /root/.bashrc
  cp $run_directory/vimrc /root/.vimrc
  cp $run_directory/tmux.conf /root/.tmux.conf
fi

echo "Finished install. Exiting..."
exit 0
